## ros-melodic-aws-common 2.2.0

=== awssdk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(AWSSDK)
set(AWSSDK_VERSION 1.6.53)
set(AWSSDK_MD5 8c04cd7a0670bc4a0cdcbb2f416efa7a)

if(NOT EXTERNAL_INSTALL_LOCATION)
  set(EXTERNAL_INSTALL_LOCATION ${CMAKE_BINARY_DIR}/external)
endif()

#############
## Library ##
#############
file(MAKE_DIRECTORY ${EXTERNAL_INSTALL_LOCATION}/include)
file(MAKE_DIRECTORY ${EXTERNAL_INSTALL_LOCATION}/lib)

string(REPLACE ";" "$<SEMICOLON>" SERVICES_ARG "${SERVICE}")

include(ExternalProject)
ExternalProject_Add(AWS_SDK_IMPORT
  SOURCE_DIR ${EXTERNAL_INSTALL_LOCATION}/src
  URL https://github.com/aws/aws-sdk-cpp/archive/${AWSSDK_VERSION}.tar.gz
  URL_MD5 ${AWSSDK_MD5}
  CMAKE_ARGS -DMINIMIZE_SIZE=TRUE -DENABLE_TESTING=FALSE -DBUILD_ONLY=${SERVICES_ARG} -DCPP_STANDARD=11 -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${EXTERNAL_INSTALL_LOCATION}
)

#############
## Install ##
#############

install(DIRECTORY ${EXTERNAL_INSTALL_LOCATION}/lib/
  DESTINATION lib/
  FILES_MATCHING PATTERN "libaws*.so"
)

install(
  DIRECTORY ${EXTERNAL_INSTALL_LOCATION}/include/aws
  DESTINATION include/
)

export(PACKAGE ${PROJECT_NAME})

=== debian/changelog ===
ros-melodic-aws-common (2.2.0-1bionic) bionic; urgency=high

  * Update package.xml
    https://github.com/aws-robotics/utils-common/pull/52 adds a new feature for expanding file paths
  * Fix linting issues found by clang-tidy 6.0 (#53 <https://github.com/aws-robotics/utils-common/issues/53>)
    * fix linter errors
    * fix more linter errors
    * add linter exceptions
    * address PR comments
  * Add wordexp_ros wrapper for wordexp, allowing ROS-aware path expansion
  * Add buildtool dependency on ament_cmake_gtest/gmock
  * Update DefineTestMacros.cmake
  * Add NoRetryStrategy (#38 <https://github.com/aws-robotics/utils-common/issues/38>)
    * ROS-2222: Add Configuration For Retry Strategy
    cr https://code.amazon.com/reviews/CR-10006070
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Don't allow max_retries to override strategy
    cr https://code.amazon.com/reviews/CR-10283519
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * cleanup NoRetryStrategy
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * increment minor version
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Fix ament macro call in DefineTestMacros.cmake (#35 <https://github.com/aws-robotics/utils-common/issues/35>)
    * Fix ament macro call in DefineTestMacros.cmake
    * Disallow Travis build failures for dashing
  * Add macro for ros1/2 finding gtest and gmock (#30 <https://github.com/aws-robotics/utils-common/issues/30>)
    * Add macro for ros1/2 finding gtest and gmock
    The macro find_common_test_packages will use ament or catkin to link to gtest and gmock libraries.
    **Note:** You must add dependencies on gtest and gmock in the package.xml still
    * remove linkage against redundant library
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml test matrix
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * make catkin a buildtool_depend
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Contributors: AAlon, Avishay Alon, M. M, Miaofei Mei, Ross Desmond, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 27 Mar 2020 00:00:00 -0000

ros-melodic-aws-common (2.0.0-1bionic) bionic; urgency=high

  * Add ROS2 dependencies to package.xml (#21 <https://github.com/aws-robotics/utils-common/issues/21>)
    * Update package.xml to depend on ament_cmake_gtest and ament_cmake_gmock if building for ROS2.
  * Disallow use of non-ParameterPath objects in ParameterReaderInterface (#19 <https://github.com/aws-robotics/utils-common/issues/19>)
  * Remove legacy portions of the ParameterReader API (#18 <https://github.com/aws-robotics/utils-common/issues/18>)
    * remove lunar travis builds
    * remove legacy portions of the ParameterReader API
  * Update ParameterReader API to support ROS1/ROS2 (#17 <https://github.com/aws-robotics/utils-common/issues/17>)
    * cleanup CMakeFiles
    * refactor using the new ParameterReader API
    * clean up design of ParameterPath object
  * Fix tests not running & optimize build time (#13 <https://github.com/aws-robotics/utils-common/issues/13>)
  * Merge pull request #9 <https://github.com/aws-robotics/utils-common/issues/9> from xabxx/master
    fixed throttling manager unit test bug
  * Update local variable name to class member name
    throttled_function_call_count -> throttled_function_call_count_
  * Improve test coverage
  * fixed throttling manager unit test bug
  * Contributors: AAlon, Abby Xu, M. M, Ross Desmond, hortala

 -- AWS RoboMaker <ros-contributions@amazon.com>  Mon, 25 Feb 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-aws-common
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, curl, google-mock, libcurl4-openssl-dev, libgtest-dev, libssl-dev, ros-melodic-catkin, ros-melodic-ros-environment, uuid-dev, zlib1g-dev
Homepage: http://wiki.ros.org/aws_common
Standards-Version: 3.9.2

Package: ros-melodic-aws-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, libssl-dev, uuid-dev, zlib1g-dev
Description: Common AWS SDK utilities, intended for use by ROS packages using the AWS SDK

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-aws-common//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
